# Uses of Class
org.eclipse.net4j.util.io.StringCompressor

Packages that use StringCompressor
Package
Description
org.eclipse.net4j.util.collection
Additional collection-like interfaces and classes.
org.eclipse.net4j.util.io
Interfaces and classes for I/O.

## Uses of StringCompressor in org.eclipse.net4j.util.collection

Methods in org.eclipse.net4j.util.collection with parameters of type StringCompressor
Modifier and Type
Method
Description
`static Entity`
Entity.`read(ExtendedDataInput in, StringCompressor compressor)`
`void`
Entity.`write(ExtendedDataOutput out, StringCompressor compressor)`

## Uses of StringCompressor in org.eclipse.net4j.util.io

Subclasses of StringCompressor in org.eclipse.net4j.util.io
Modifier and Type
Class
Description
`static class`
`StringCompressor.Counting`